apt update && upgrade hatası

ARkadaşlar merhaba geçenlerde bir konu açmıştım wireguard paketini yükleyemiyordum ardından bir arkadaşımızın dediği işlemi yaparak sorunu çözdüm 2 gün sonra paket güncellemesi yaparken bu hatalrı alıyorum sizce neyden kaynaklı olabilir ve çözümü varmı

?

1 Beğeni

Merhaba Mehmet,

ucbiriminde bu kodlari bir gir ciktisini bizimle paylas:

sudo apt install -f 

Ve bunu ciktisiniz da bizimle metin olarak paylaş yani şöyle:

sudo apt update && sudo apt upgrade >> metin.txt

Copy paste et buraya lütfen :slight_smile:

Bir çözüm buldum, ancak lütfen tüm önemli verilerinizi harici bir depolama cihazında yedekleyin, ardından çözüme devam edebilirsiniz

sudo apt-get install libmnl-dev libelf-dev linux-headers-$(uname -r) build-essential pkg-config

git clone https://git.zx2c4.com/wireguard-linux-compat
git clone https://git.zx2c4.com/wireguard-tools

make -C wireguard-linux-compat/src -j$(nproc)
sudo make -C wireguard-linux-compat/src install

çözümün kaynağını burada bulabilirsiniz:

https://www.wireguard.com/compilation/

1 Beğeni

Yukardaki çözümü bilmiyorum ama sunu bir deneyin

sudo dpkg --configure -a
sudo apt update

2 Beğeni

Bu konu son cevaptan 10 gün sonra otomatik olarak kapatıldı. Yeni cevap girilmesine izin verilmiyor.

© 2020 TÜBİTAK